"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Optional = void 0;
const core_1 = require("@tsed/core");
const jsonEntityFn_1 = require("./jsonEntityFn");
/**
 * Add optional annotation on Property or Parameter.
 *
 * @decorator
 * @validation
 * @swagger
 * @schema
 * @input
 */
function Optional() {
    return (0, jsonEntityFn_1.JsonEntityFn)((store) => {
        switch (store.decoratorType) {
            case core_1.DecoratorTypes.PARAM:
                store.required = false;
                break;
            case core_1.DecoratorTypes.PROP:
                store.parentSchema.removeRequired(store.propertyName);
                break;
        }
    });
}
exports.Optional = Optional;
//# sourceMappingURL=optional.js.map