"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.oneOfMapper = exports.hasMapper = exports.execMapper = exports.getJsonSchemaMapper = exports.registerJsonSchemaMapper = void 0;
/**
 * @ignore
 */
const JsonSchemaMappersContainer = new Map();
/**
 * @ignore
 */
function registerJsonSchemaMapper(type, mapper) {
    return JsonSchemaMappersContainer.set(type, mapper);
}
exports.registerJsonSchemaMapper = registerJsonSchemaMapper;
/**
 * @ignore
 */
function getJsonSchemaMapper(type) {
    // istanbul ignore next
    if (!JsonSchemaMappersContainer.has(type)) {
        throw new Error(`JsonSchema ${type} mapper doesn't exists`);
    }
    return JsonSchemaMappersContainer.get(type);
}
exports.getJsonSchemaMapper = getJsonSchemaMapper;
/**
 * @ignore
 */
function execMapper(type, schema, options, parent) {
    return getJsonSchemaMapper(type)(schema, options, parent);
}
exports.execMapper = execMapper;
function hasMapper(type) {
    return JsonSchemaMappersContainer.has(type);
}
exports.hasMapper = hasMapper;
function oneOfMapper(...types) {
    return types.find((type) => JsonSchemaMappersContainer.has(type));
}
exports.oneOfMapper = oneOfMapper;
//# sourceMappingURL=JsonSchemaMapperContainer.js.map