"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapOpenSpec3 = void 0;
const core_1 = require("@tsed/core");
const mapOpenSpecInfo_1 = require("./mapOpenSpecInfo");
/**
 * @ignore
 * @param spec
 * @param version
 * @param specVersion
 */
function mapOpenSpec3(spec, { specVersion }) {
    const { servers, paths, components, security, tags, externalDocs } = spec;
    return {
        openapi: specVersion,
        info: (0, mapOpenSpecInfo_1.mapOpenSpecInfo)((0, core_1.getValue)(spec, "info", {})),
        servers,
        paths,
        components,
        security,
        tags,
        externalDocs
    };
}
exports.mapOpenSpec3 = mapOpenSpec3;
//# sourceMappingURL=mapOpenSpec3.js.map