"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEnumValues = exports.serializeEnum = void 0;
const core_1 = require("@tsed/core");
const serializeEnum = (enumValue) => {
    if ((0, core_1.isObject)(enumValue) && enumValue !== null) {
        return Object.entries(enumValue).reduce((acc, [key, value]) => {
            if (isNaN(+key)) {
                return acc.concat(value);
            }
            return acc;
        }, []);
    }
    return enumValue;
};
exports.serializeEnum = serializeEnum;
function serializeEnumValues(enumValues) {
    const values = enumValues.reduce((acc, value) => acc.concat((0, exports.serializeEnum)(value)), []);
    const getValue = (value) => {
        return value === null ? "null" : typeof value;
    };
    const types = values.reduce((set, value) => set.add(getValue(value)), new Set());
    return { values: (0, core_1.uniq)(values), types };
}
exports.serializeEnumValues = serializeEnumValues;
//# sourceMappingURL=serializeEnumValues.js.map