import { HTTP_METHODS } from "../constants/httpMethods.js";
export function mapRouteOptions(args) {
    let method = undefined;
    let path = undefined;
    const handlers = args.filter((arg) => {
        if (typeof arg === "string" && HTTP_METHODS.includes(arg.toLowerCase())) {
            method = arg.toLocaleUpperCase();
            return false;
        }
        if (typeof arg === "string" || arg instanceof RegExp) {
            path = arg || "/";
            return false;
        }
        return !!arg;
    });
    return {
        path,
        method,
        use: handlers
    };
}
//# sourceMappingURL=mapRouteOptions.js.map